<template>
  <div class="main_root">
    <div class="search_header">
      <Input
        v-model="searchForm.title"
        placeholder="请输入学校名称"
        style="width: 200px"
      />
      <Input
        v-model="searchForm.name"
        placeholder="请输入设备型号、Rom版本"
        style="width: 200px; margin: 0 10px"
      />
      <Button type="primary" class="primary_btn" @click="searchList()">
        <Icon type="ios-search" :size="18" />
      </Button>
    </div>
    <div class="table_wrap">
      <Table :columns="columns" :data="searchForm.list"> </Table>
    </div>
    <div class="page_wrap">
      <Page
        :transfer="true"
        :total="searchForm.total"
        :current="searchForm.page"
        :page-size="searchForm.size"
        :page-size-opts="[10, 20, 40, 60]"
        @on-change="pageChange"
        @on-page-size-change="pageSizeChange"
        show-total
        show-sizer
      ></Page>
    </div>
  </div>
</template>

<script>
import { search_list_dmodel } from "@/api/region";
export default {
  data() {
    return {
      searchForm: {
        name: "",
        title: "",
        page: 1,
        size: 10,
        list: [],
        total: 0
      },
      columns: [
        {
          title: "序号",
          align: "center",
          width: 70,
          render: (h, params) => {
            return h(
              "span",
              params.index +
                (this.searchForm.page - 1) * this.searchForm.size +
                1
            );
          }
        },
        {
          title: "学校名称",
          key: "schoolName",
          align: "center"
        },
        {
          title: "设备型号",
          key: "deviceModel",
          align: "center"
        },
        {
          title: "Rom版本",
          key: "romVersion",
          align: "center"
        },
        {
          title: "设备数",
          key: "num",
          align: "center"
        },
        {
          title: "学校设备总数",
          key: "totalnum",
          align: "center"
        }
      ]
    };
  },
  computed: {
    powerParams() {
      return this.$store.getters.powerParams;
    }
  },
  created() {
    this.searchList();
  },
  methods: {
    // 搜索
    searchList() {
      this.searchForm.page = 1;
      this.getList();
    },
    // 页码改变
    pageChange(page) {
      this.searchForm.page = page;
      this.getList();
    },
    // 每页显示数量改变
    pageSizeChange(size) {
      this.searchForm.size = size;
      this.searchForm.page = 1;
      this.getList();
    },
    // 获取列表
    getList() {
      search_list_dmodel({
        rtype: this.powerParams.rtype,
        objectid: this.powerParams.objectid,
        page: this.searchForm.page,
        size: this.searchForm.size,
        name: this.searchForm.name,
        title: this.searchForm.title
      }).then((data) => {
        if (data.code === 0) {
          this.searchForm.list = data.obj.data;
          this.searchForm.total = data.obj.total;
        } else {
          this.$Message.error(data.msg);
        }
      });
    }
  }
};
</script>

<style lang="less" scoped>
.search_header {
  display: flex;
  align-items: center;
  margin: 16px 16px;
}
.view_title {
  margin-bottom: 16px;
  font-size: 18px;
  font-weight: bold;
  text-align: center;
}
</style>
